<template>
  <div class="dibs--aside--video" :data-loaded="loaded">
    <iframe
      :src="src"
      :title="title"
      frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
      allowfullscreen
      @load="loaded = true"
    ></iframe>
  </div>
</template>
<script>
export default {
  components: {
    // Foo
  },
  props: {
    src: {
      type: [String],
      required: true,
    },
    title: {
      type: [String],
      required: true,
    },
  },
  data() {
    return {
      loaded: false,
    }
  },
  methods: {},
}
</script>
<style></style>
